import java.io.*;

public class DemoFile
{
    public static void main(String[] args) {
        File d = new File("data");
        File f = new File(d, "out.txt");
        
        System.out.println("file exits? " + f.exists());
        System.out.println("is file? " + f.isFile());
        System.out.println("is file? " + d.isFile());
        
        System.out.println("parrent: " + f.getParent());
        System.out.println("path: " + f.getPath());
        System.out.println("absolute path: " + f.getAbsolutePath());
    }
    
    public static void dirDemo() {
        File d = new File("/home/oslejsek/Dokumenty/FI/2015/Vyuka/PB162");
        
        File[] list = d.listFiles();
        for (int i = 0; i < list.length; i++) {
            if (list[i].isFile()) {
                System.out.println(list[i].getPath());
            }
        }
    }

    public static void dirFilterDemo() {
        File d = new File("/home/oslejsek/Dokumenty/FI/2015/Vyuka/PB162");

        //File[] list = d.listFiles(new MyFilter());
        
        File[] list = d.listFiles(
            new FilenameFilter() {
                public boolean accept(File dir, String name) {
                    return name.startsWith("p");
                }
            }
        );
        
        for (int i = 0; i < list.length; i++) {
            if (list[i].isFile()) {
                System.out.println(list[i].getPath());
            }
        }
    }
}
